Devuan bug report logs - #413
devuan-installer: amd64 ISO images have only grub-efi-ia32 packages

Package: devuan-installer; Maintainer for devuan-installer is Ralph Ronnquist <ralph.ronnquist@gmail.com>;

Reported by: Olaf Meeuwissen <paddy-hack@member.fsf.org>

Date: Sun, 22 Mar 2020 09:33:02 UTC

Severity: normal

Done: Ralph Ronnquist <ralph.ronnquist@gmail.com>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Subject: bug#413 closed by Ralph Ronnquist <ralph.ronnquist@gmail.com>
 (Re: devuan-installer: amd64 ISO images have only grub-efi-ia32 packages)
Message-ID: <handler.413.D413.160834080328449.notifdone@bugs.devuan.org>
References: <X91Uap74wtFW28ZW@ascii> <878sjs3gb9.fsf@boson>
X-Devuan-PR-Message: they-closed 413
X-Devuan-PR-Package: devuan-installer
Reply-To: 413@bugs.devuan.org
Date: Sat, 19 Dec 2020 01:33:18 +0000
Content-Type: multipart/mixed; boundary="----------=_1608341598-28534-1"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your bug report
which was filed against the devuan-installer package:

#413: devuan-installer: amd64 ISO images have only grub-efi-ia32 packages

It has been closed by Ralph Ronnquist <ralph.ronnquist@gmail.com>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Ralph Ronnquist <ralph.ronnquist@gmail.com> by
replying to this email.


-- 
413: https://bugs.devuan.org/cgi/bugreport.cgi?bug=413
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Ralph Ronnquist <ralph.ronnquist@gmail.com>
To: 413-close@bugs.devuan.org
Subject: Re: devuan-installer: amd64 ISO images have only grub-efi-ia32 packages
Date: Sat, 19 Dec 2020 12:16:26 +1100
dealt with for upcoming ISO
[Message part 3 (message/rfc822, inline)]
From: Olaf Meeuwissen <paddy-hack@member.fsf.org>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: devuan-installer: amd64 ISO images have only grub-efi-ia32 packages
Date: Sun, 22 Mar 2020 18:12:12 +0900
Package: devuan-installer
Severity: normal

Dear Maintainer,

While trying to do an air-gapped install on UEFI hardware, the GRUB
installation failed.  Checking the logs, I noticed the installer was
trying to install grub-efi-amd64 but this package was not included in
the netinstall and server ISO images (from 20200313).  The ISO images
did include grub-efi-ia32 though.

When installing with a network connection, the required package will be
pulled from a remote APT repository so you won't notice the problem.

I used the

  Devuan GNU/Linux 3.0 (beowulf) amd64 - netinstall 20200313

ISO image on an HP ZBook Studio G3 when this happened.

I've checked the package pools on both netinstall and server ISO images
for amd64 but neither has grub-efi-amd64 packages.  I have not checked
any other ISO images.


-- System Information:
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/2 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8), LANGUAGE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat Jan 22 17:39:45 2022;